<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'restaurant',

    /*
     * Package.
     */
    'package'   => 'eatery',

    /*
     * Modules.
     */
    'modules'   => ['eatery'],

    
    'eatery'       => [
        'model' => [
            'model' => \Restaurant\Eatery\Models\Eatery::class,
            'repository' => \Restaurant\Eatery\Repositories\Eloquent\EateryRepository::class,
            'table' => 'eateries',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'name',  'email',  'password',  'api_token',  'remember_token',  'restaurant_id'],
            'translatables' => [],
            'upload_folder' => 'eatery/eatery',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Restaurant',
            'package' => 'Eatery',
            'module' => 'Eatery',
        ],
    ],
];
