<?php

namespace Restaurant\Eatery\Seeders;

use DB;
use Illuminate\Database\Seeder;

class EateryTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('eateries')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'eatery.eatery.view',
                'name'      => 'View Eatery',
            ],
            [
                'slug'      => 'eatery.eatery.create',
                'name'      => 'Create Eatery',
            ],
            [
                'slug'      => 'eatery.eatery.edit',
                'name'      => 'Update Eatery',
            ],
            [
                'slug'      => 'eatery.eatery.delete',
                'name'      => 'Delete Eatery',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/eatery/eatery',
                'name'        => 'Eatery',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/eatery/eatery',
                'name'        => 'Eatery',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'eatery',
                'name'        => 'Eatery',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Eatery',
                'module'    => 'Eatery',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'eatery.eatery.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
